﻿using Syncfusion.Windows.Shared;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid;
namespace testUpload
{

    
    public partial class MainWindow : Window,INotifyPropertyChanged
    {

        ObservableCollection<ClientsOrders> thelist;
        private ObservableCollection<ChildCollectionList> relationData;

        public ObservableCollection<ChildCollectionList> RelationData
        {
            get { return relationData; }
            set { relationData = value; OnPropertyChanged("RelationData"); }
        }
        public MainWindow()
        {
            InitializeComponent();
            RelationData = new ObservableCollection<ChildCollectionList>();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            thelist = new ObservableCollection<ClientsOrders>()
            {
                new ClientsOrders() { IsChecked=true, ClientID=1, ClientName = "Microsoft", ClientAdress="Redmond", TotalOrders=1000, TotalTVA = 170,Collection=RelationData },
                new ClientsOrders() { IsChecked=true, ClientID=2, ClientName = "Google", ClientAdress="Paris", TotalOrders=2000, TotalTVA = 340 ,Collection=RelationData },
                new ClientsOrders() { IsChecked=true, ClientID=3, ClientName = "Facebook", ClientAdress="London", TotalOrders=3000,TotalTVA = 510 ,Collection=RelationData},
                new ClientsOrders() { IsChecked=true, ClientID=4, ClientName = "IBM", ClientAdress="New York", TotalOrders=4000,TotalTVA = 680,Collection=RelationData },
                new ClientsOrders() { IsChecked=true, ClientID=5, ClientName = "Apple", ClientAdress="Tokyo", TotalOrders=5000,TotalTVA = 850,Collection=RelationData },

            };
            sfgrid.ItemsSource = thelist;
            this.Loaded -= Window_Loaded;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var item = new ObservableCollection<ChildCollectionList>();
            item.Add(new ChildCollectionList() { Product = "Apple" });
                var rowIndex=this.sfgrid.SelectionController.CurrentCellManager.CurrentRowColumnIndex.RowIndex;
            var recordIndex=this.sfgrid.ResolveToRecordIndex(rowIndex);
            thelist[recordIndex].Collection = item;
            sfgrid.UpdateDataRow(this.sfgrid.SelectionController.CurrentCellManager.CurrentRowColumnIndex.RowIndex);       
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
